org.apache.fop.fo

## Class ElementMapping.Maker

- java.lang.Object
- - org.apache.fop.fo.ElementMapping.Maker

- Direct Known Subclasses:
    UnknownXMLObj.Maker
  Enclosing class:
    ElementMapping

      public static class ElementMapping.Maker
      extends Object

  Base class for all Makers. It is responsible to return the right kind of FONode for a particular element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FONode` | `make(FONode parent)` Creates a new FONode (or rather a specialized subclass of it).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker()

  - ### Method Detail

    - #### make

          public FONode make(FONode parent)

      Creates a new FONode (or rather a specialized subclass of it).
      Parameters:
        `parent` - the parent FONode
      Returns:
        the newly created FONode instance

Copyright © 2023 Apache Software Foundation. All rights reserved.